Subject: [PATCH 6/6] serial: add amba-pl011-pci

From: [email-masked] (Alessandro Rubini)
Date: Sat, 26 May 2012 09:58:55 +0200

> Aside from the dma mask, this looks almost entirely generic. Would it
> be possible to make this a generic pci-amba driver that lives under
> drivers/amba/ and does not care about the type of device behind it?

Yes, it's possible. Actually, this was my longer-time plan: propose a
factorization when more of those were ready.  So I'll remove the
special name in the device and offer an implementation as generic
as possible.

BTW, are the prerequisite patches of with you?

thanks
/alessandro